Unify and manage your data

Delete a hierarchy by ID

Learn more about how to use the Delete hierarchy API to delete a hierarchy by ID.

Use the Delete hierarchy by ID to delete a hierarchy. This operation requires the MDM.Data.Hierarchy permission with the DELETE privilege.

HTTP method and endpoint

Use the following HTTP method and endpoint path to submit the request:

DELETE https://<environment>.reltio.com/reltio/api/{tenantId}/hierarchies/list/{hierarchyId}

Request headers

The following request headers must be included.

HeaderValueRequired
AuthorizationBearer <token>Yes

Request body

This operation does not require a request body.

Example request

Use the following example to see how a complete request is structured with headers.

DELETE /list/prd
Authorization: Bearer <token>

Response fields

The following table describes the fields returned in the response body, which is an array of hierarchy connection objects.

FieldTypeDescription
hierarchyIdStringThe ID of the deleted hierarchy.
statusStringThe result of the delete operation. The documented value is DELETED.

Example response

The following example shows the response body.

{
  "hierarchyId": "prd",
  "status": "DELETED"
}